/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package structures;

/**
 *
 * @author baba
 */
public class SuperNodeObject {
    private String ID = null;
    private String IPAddress = null;
    private String rm_tcp_portNo = null;
    private String node_tcp_portNo = null;
    private String supernode_tcp_portNo = null;

    /**
     * @return the IPAddress
     */
    public String getIPAddress() {
        return IPAddress;
    }

    /**
     * @param IPAddress the IPAddress to set
     */
    public void setIPAddress(String IPAddress) {
        this.IPAddress = IPAddress;
    }

    /**
     * @return the ID
     */
    public String getID() {
        return ID;
    }

    /**
     * @param ID the ID to set
     */
    public void setID(String ID) {
        this.ID = ID;
    }

    /**
     * @return the tcp_portNo
     */
    public String getRM_Tcp_portNo() {
        return rm_tcp_portNo;
    }

    /**
     * @param tcp_portNo the tcp_portNo to set
     */
    public void setRM_Tcp_portNo(String tcp_portNo) {
        this.rm_tcp_portNo = tcp_portNo;
    }

    /**
     * @return the udp_portNo
     */
    public String getSuperNode_TCP_portNo() {
        return supernode_tcp_portNo;
    }

    /**
     * @param udp_portNo the udp_portNo to set
     */
    public void setSuperNode_TCP_portNo(String udp_portNo) {
        this.supernode_tcp_portNo = udp_portNo;
    }

    /**
     * @return the node_tcp_portNo
     */
    public String getNode_tcp_portNo() {
        return node_tcp_portNo;
    }

    /**
     * @param node_tcp_portNo the node_tcp_portNo to set
     */
    public void setNode_tcp_portNo(String node_tcp_portNo) {
        this.node_tcp_portNo = node_tcp_portNo;
    }

}
